0
pi@raspberrypi:~ $ sudo apt-get install i2c-tools
Reading package lists... Error!
E: Unable to parse package file /var/lib/apt/lists/archive.raspberrypi.org_debian_dists_jessie_main_binary-armhf_Packages (1)
W: Duplicate sources.list entry http://archive.raspberrypi.org/debian/ jessie/main armhf Packages (/var/lib/apt/lists/archive.raspberrypi.org_debian_dists_jessie_main_binary-armhf_Packages)
E: Problem opening /var/lib/apt/lists/archive.raspberrypi.org_debian_dists_jessie_ui_binary-armhf_Packages
E: The package lists or status file could not be parsed or opened.

Kindly help me with what I should do. I am using office network.

  • 3
    Could you edit your question and include the content of /etc/apt/sources.list and any additional files present in /etc/apt/sources.list.d? – joan Mar 29 '16 at 8:29
0

Update your pi.

sudo apt-get update

Upgrade to the latest OS.

sudo apt-get dist-upgrade

Make sure you also enabled i2c in your kernel.

sudo nano /etc/modprobe.d/raspi-blacklist.conf

Then add a # on the 3rd line.

sudo nano /etc/modules

Add i2c-dev to a new line.
Then try to install i2c tool.

sudo apt-get install i2c-tools
  • Please look at the help of the editor and format your answer nicely. As it is, I don't know what is English and what is a command – Thomas Weller Aug 29 '16 at 21:53

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.